Liblinphone: FlexiAPIClient Class Reference

Liblinphone 5.2.0

Data Structures | Public Member Functions
FlexiAPIClient Class Reference
Inheritance diagram for FlexiAPIClient:

## Data Structures
class | Callbacks
class | JsonParams
class | Response

## Public Member Functions
| FlexiAPIClient (LinphoneCore *lc)
FlexiAPIClient * | ping ()
FlexiAPIClient * | sendAccountCreationTokenByPush (string pnProvider, string pnParam, string pnPrid)
FlexiAPIClient * | accountCreateWithAccountCreationToken (string username, string password, string algorithm, string token)
FlexiAPIClient * | accountCreateWithAccountCreationToken (string username, string domain, string password, string algorithm, string token)
FlexiAPIClient * | accountInfo (string sip)
FlexiAPIClient * | accountActivateEmail (string sip, string code)
FlexiAPIClient * | accountActivatePhone (string sip, string code)
FlexiAPIClient * | accountAuthTokenCreate ()
FlexiAPIClient * | accountApiKeyFromAuthTokenGenerate (string authToken)
FlexiAPIClient * | accountInfoByPhone (string phone)
FlexiAPIClient * | accountRecoverByPhone (string phone)
FlexiAPIClient * | accountRecoverUsingRecoverKey (string sip, string recoverKey)
FlexiAPIClient * | accountCreate (string username, string password, string email)
FlexiAPIClient * | accountCreate (string username, string password, string algorithm, string domain, string email, string phone)
FlexiAPIClient * | me ()
FlexiAPIClient * | accountDelete ()
FlexiAPIClient * | accountPasswordChange (string algorithm, string password)
FlexiAPIClient * | accountPasswordChange (string algorithm, string password, string oldPassword)
FlexiAPIClient * | accountDevices ()
FlexiAPIClient * | accountDevice (string uuid)
FlexiAPIClient * | accountContacts ()
FlexiAPIClient * | accountContact (string sip)
FlexiAPIClient * | accountEmailChangeRequest (string email)
FlexiAPIClient * | accountPhoneChangeRequest (string phone)
FlexiAPIClient * | accountPhoneChange (string code)
FlexiAPIClient * | accountAuthTokenAttach (string authToken)
FlexiAPIClient * | accountProvision ()
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, string domain)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, bool activated)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, string domain, bool activated)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, string domain, bool activated, string email)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, string domain, bool activated, string email, string phone)
FlexiAPIClient * | adminAccountCreate (string username, string password, string algorithm, string domain, bool activated, string email, string phone, string dtmfProtocol)
FlexiAPIClient * | adminAccounts ()
FlexiAPIClient * | adminAccount (int id)
FlexiAPIClient * | adminAccountDelete (int id)
FlexiAPIClient * | adminAccountActivate (int id)
FlexiAPIClient * | adminAccountDeactivate (int id)
FlexiAPIClient * | adminAccountSearch (string sip)
FlexiAPIClient * | adminAccountContacts (int id)
FlexiAPIClient * | adminAccountContactAdd (int id, int contactId)
FlexiAPIClient * | adminAccountContactDelete (int id, int contactId)
FlexiAPIClient * | setApiKey (const char *key)
FlexiAPIClient * | useTestAdminAccount (bool test)
FlexiAPIClient * | then (function< void(Response)> success)
FlexiAPIClient * | error (function< void(Response)> error)

The documentation for this class was generated from the following file:

- FlexiAPIClient.hh